package Controleurs;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

import Modèle.DonneesXML;
import Modèle.Groupe;
import Modèle.Probleme;
import Vue.IHMConnexion;

public class EcouteurBoutonDeconnexion implements ActionListener {
	Vector<Probleme> pb;
	Vector<Groupe> groupes;
	DonneesXML DXML;
	protected JFrame jf;

	public EcouteurBoutonDeconnexion(JFrame jf,Vector<Probleme> pb, Vector<Groupe> groupes, DonneesXML DXML){
		this.pb = pb;
		this.groupes = groupes;
		this.DXML = DXML;
		this.jf=jf;
	}


	public void actionPerformed(ActionEvent e){
		int op = JOptionPane.showConfirmDialog(null,"Voulez-vous sauvegarder les modification?","Fermeture",JOptionPane.YES_NO_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);
		switch (op){
		case 0: 
			DXML.sauvegarderModifPb(pb);
			DXML.sauvegarderModifUtil(groupes);
			jf.dispose();
			new IHMConnexion(DXML);
			break;

		case 1:
			jf.dispose();
			new IHMConnexion(DXML);
		}
	}
}

